Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.muc.spi
Enum MUCServicePropertyEventDispatcher.EventType

    java.lang.Object
      java.lang.Enum<MUCServicePropertyEventDispatcher.EventType>
          org.jivesoftware.openfire.muc.spi.MUCServicePropertyEventDispatcher.EventType

All Implemented Interfaces:
  Serializable, Comparable<MUCServicePropertyEventDispatcher.EventType>

Enclosing class:
  MUCServicePropertyEventDispatcher

    public static enum MUCServicePropertyEventDispatcher.EventType

extends Enum<MUCServicePropertyEventDispatcher.EventType>

Represents valid event types.

Enum Constant Summary
`property_deleted` A property was deleted.
`property_set` A property was set.

Method Summary
`static MUCServicePropertyEventDispatcher.EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MUCServicePropertyEventDispatcher.EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### property_set

    public static final MUCServicePropertyEventDispatcher.EventType property_set

  A property was set.

### property_deleted

    public static final MUCServicePropertyEventDispatcher.EventType property_deleted

  A property was deleted.

Method Detail

### values

    public static final MUCServicePropertyEventDispatcher.EventType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MUCServicePropertyEventDispatcher.EventType c : MUCServicePropertyEventDispatcher.EventType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MUCServicePropertyEventDispatcher.EventType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.